View Issue Details

IDProjectCategoryView StatusLast Update
0000070file[All Projects] Generalpublic2019-03-07 17:22
Reporterv3l0c1r4pt0rAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionHEAD 
Summary0000070: [PATCH] Add AIX backup and package format detection
DescriptionI have noticed that AIX default package format is not identified by file ("data" returned). I am enclosing the patch.

I've managed to find example package with first signature variant (could be downloaded from IBM after signing up). Unfortunately I didn't find any example for the second form (confirmed only with Wikipedia and original AIX /etc/magic).
TagsNo tags attached.

Activities

v3l0c1r4pt0r

2019-03-05 17:33

reporter  

0001-Add-AIX-package-and-backup-file-magic.patch (766 bytes)
From 36bf189ea15c66d4a912bd705df8f6d5e89e3ace Mon Sep 17 00:00:00 2001
From: Kamil Lorenc <v3l0c1r4pt0r@gmail.com>
Date: Tue, 5 Mar 2019 18:16:34 +0100
Subject: [PATCH] Add AIX package and backup file magic

---
 magic/Magdir/ibm6000 | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/magic/Magdir/ibm6000 b/magic/Magdir/ibm6000
index 8b48f370..8fb9c83f 100644
--- a/magic/Magdir/ibm6000
+++ b/magic/Magdir/ibm6000
@@ -17,6 +17,8 @@
 0	belong		0x000001f9	AIX compiled message catalog
 0	string		\<aiaff>	archive
 0	string		\<bigaf>	archive (big format)
+0	belong		0x09006bea	AIX backup/restore format file
+0	belong		0x09006fea	AIX backup/restore format file
 
 0	beshort		0x01f7		64-bit XCOFF executable or object module
 >20	belong		0		not stripped
-- 
2.21.0

christos

2019-03-07 13:22

manager   ~0003229

both magic entries have the same description, is that correct?

v3l0c1r4pt0r

2019-03-07 14:41

reporter   ~0003230

Yes, that's correct. I haven't seen any explanation of what is the difference.

christos

2019-03-07 17:22

manager   ~0003231

Committed, thanks!

Issue History

Date Modified Username Field Change
2019-03-05 17:33 v3l0c1r4pt0r New Issue
2019-03-05 17:33 v3l0c1r4pt0r File Added: 0001-Add-AIX-package-and-backup-file-magic.patch
2019-03-07 13:22 christos Note Added: 0003229
2019-03-07 14:41 v3l0c1r4pt0r Note Added: 0003230
2019-03-07 17:21 christos Assigned To => christos
2019-03-07 17:21 christos Status new => assigned
2019-03-07 17:22 christos Status assigned => resolved
2019-03-07 17:22 christos Resolution open => fixed
2019-03-07 17:22 christos Fixed in Version => HEAD
2019-03-07 17:22 christos Note Added: 0003231